#!/usr/bin/perl
# restart_netsaint.cgi
# by jason blakey - jblakey@frogboy.net   http://www.frogboy.net
# Part of NetSaint Easy Administration Tool (NEAT) Version 2.1
# April 03, 2000

################## CONFIGURATION ################
do ("/etc/netsaint/neat.options") or die ("Can't read the config file: $!");
##################################################

# Print out our HTML header...
print <<EOF;
Content-type: text/html

<HTML>
<HEAD>
<TITLE>
NetSaint Easy Administration Tool
</TITLE>
</HEAD>

<BODY BGCOLOR=White>
<CENTER>
<TABLE WIDTH=600>
<TR><TD BGCOLOR=$COLOR2><CENTER><H2>Response to Restart of NetSaint</H2></CENTER></TD></TR>
<TR><TD>
EOF

# First, we run the verify command and see if we get results...
$results = `$SUDO $VERIFYCOMMAND`;

# See if the results do NOT contain 'Things look okay'...
if ($results !~ /Things look okay/) {
	# If they don't, then we have a problem, and we cannot restart netsaint...
	print <<EOF;
<H2><FONT COLOR=Red>There are problems</FONT></H2>
<BR>
If I were to restart NetSaint now, it would fail to restart due to the following problems:
<BR>
<PRE>
$results
</PRE>
<BR>
<FONT COLOR=Red>Please fix these problems and try again</FONT>
EOF
}
else {
	# Otherwise, things are okay...
	# Do the restart...
	system ("$SUDO $RESTARTCOMMAND");
	# Recreate the HTML files...
	system ("$SUDO $HTMLCREATECOMMAND");
	print "<BR>Restarted the NetSaint process and recreated the HTML files...\n";
	if ($results) {
		print "<BR>Got the following feedback:<BR><PRE>$results</PRE>\n";
	}
}
print <<EOF;
</TD></TR>
<TR><TD BGCOLOR=$COLOR2><CENTER><A HREF="$CGIPATH/admin.cgi"><FONT SIZE=+1>Back to NetSaint Administration</FONT></A></CENTER></TD></TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
EOF

# And exit...
exit ();
